Page MenuHomeFreeBSD

stand: Change disk_fmtdev to take a struct devdesc *
ClosedPublic

Authored by imp on Jul 25 2022, 8:32 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Apr 10, 2:07 AM
Unknown Object (File)
Sun, Mar 31, 6:56 AM
Unknown Object (File)
Mar 4 2024, 12:25 AM
Unknown Object (File)
Jan 10 2024, 1:56 AM
Unknown Object (File)
Dec 18 2023, 4:42 AM
Unknown Object (File)
Dec 4 2023, 2:25 PM
Unknown Object (File)
Nov 17 2023, 10:55 PM
Unknown Object (File)
Nov 17 2023, 10:22 PM
Subscribers

Details

Summary

We do a number of games with ploymorphism for different types struct
*devdesc. Change the parameter to take a struct devdesc * to match other
dv_devfmt functions in the system.

Sponsored by: Netflix

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

stand/common/disk.h
118–119

I know it is a bit like documenting, but other prototypes just do show the type.

imp retitled this revision from stand: Change disk_fmtdev to take a void * to stand: Change disk_fmtdev to take a struct devdesc *.Jul 28 2022, 4:54 PM
imp edited the summary of this revision. (Show Details)

rework to take devdesc instead to match dv_devfmt

This revision was not accepted when it landed; it landed in state Needs Review.Aug 11 2022, 4:28 PM
This revision was automatically updated to reflect the committed changes.